#!/bin/bash

echo -ne "\033l\033<\n\nUpdating Application\nfrom USB Media" > /dev/lcd

# Pick the right embedded application depending on the bootblock version.
bootversion=$(grep "^BootBlock" /var/opt/lib/mic_bootversion)
if [[ "$bootversion" < "BootBlock 3.00" ]]; then
    app=2390-v2.exe
else
    app=2390.exe
fi

cp /mnt/usb/$app /opt/bin/mic_app.bin
touch /var/opt/lib/mic_runapp
touch /var/opt/lib/mic_keypad

# The pipe /tmp/usb-storage_removed is available for mic_update.sh scripts.
# The usb-storage hotplug script will write to it when the media is removed.
# We have to make sure it exists first:
if [ ! -e /tmp/usb-storage_removed ]; then
    mkfifo /tmp/usb-storage_removed
fi

# User message:
echo -ne "\033l\033<\n\nUpdate Successful\nRemove USB Media" > /dev/lcd 2> /$

# Now wait for anything on the pipe:
< /tmp/usb-storage_removed

# Clear the LCD:
echo -ne "\033l" > /dev/lcd 2> /dev/null
